Page MenuHomePhabricator

Increase utilization of application logging pipeline (FY2018-2019 Q3 TEC6)
Open, NormalPublic

Description

  • Replace and expand Elasticsearch storage in eqiad and upgrade the cluster from Debian jessie to stretch
  • Migrate at least 3 existing Logstash inputs and associated producers to the new Kafka-logging pipeline, and remove the associated non-Kafka Logstash inputs
  • Retire udp2log: onboard its producers and consumers to the logging pipeline
  • [stretch] Implement sensitive log access control, onboard 3 sensitive log producers

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 8 2019, 10:45 AM
herron triaged this task as Normal priority.Jan 8 2019, 7:21 PM
herron moved this task from Backlog to In Dev/Progress on the Wikimedia-Logstash board.
herron added a project: User-herron.
herron added a subscriber: herron.
fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.Jan 16 2019, 2:25 PM
Cmjohnson closed subtask Unknown Object (Task) as Resolved.Jan 17 2019, 10:31 PM
herron reopened subtask Unknown Object (Task) as Open.Jan 22 2019, 3:03 PM
herron moved this task from Backlog to Working on on the User-herron board.Jan 22 2019, 9:24 PM
RobH closed subtask Unknown Object (Task) as Resolved.Feb 20 2019, 10:47 PM